#include <bits/stdc++.h>

using namespace std;

struct frilenser
{
    int a;
    double p;
};

bool uporedi(const frilenser &prvi, const frilenser &drugi)
{
    return prvi.p > drugi.p;
}

int main()
{
    int n, indeksporeza, a, zbir = 0;
    double p, isplaticese = -1.0, zarada, ukupnizbir = 0.0;
    cin >> n;
    vector<frilenser> njam;
    for(int i = 0; i < n; i++)
    {
        cin >> a >> p;
        njam.push_back({ a, p });
    }
    sort(njam.begin(), njam.end(), uporedi);
    for(int i = 0; i < n; i++)
    {
        cout << njam[i].a << "\n" << njam[i].p << "\n";
        zbir += njam[i].a;
        if((zbir * njam[i].p / 100.0) > isplaticese)
        {
            isplaticese = zbir * njam[i].p / 100.0;
            ukupnizbir = zbir;
            indeksporeza = i;
        }
    }
    zarada = ukupnizbir * njam[indeksporeza].p / 100.0;
    cout << setprecision(10) << zarada << endl;
    return 0;
}